Subject: [Dhcpv6bis] IA-TA carries one "set" of temporary addresses

From: Sheng Jiang <[email-masked]>
Date: Mon, 2 Feb 2015 09:48:53 +0000

Hi, all,

I am handling one of the 3315bis issue ticket regarding to IA options. I felt I need confirmation/discussion from more resources besides myself. The issue ticket is described below, following by my personal understanding

(substantial/discuss) Section 22.5, the sentence beginning:
"Each IA-TA carries one "set" of temporary addresses;", why is this text here when there was no such corresponding text under the IA_NA specificaion of Section 22.4, and can it be removed?
If not, I wonder how a server can know the set of prefixes "assigned to the link to which the client is attached"?

The text in RFC3315:
   "Each IA_TA carries one "set" of temporary addresses; that is, at most
   one address from each prefix assigned to the link to which the client
   is attached."

My understanding is this also apply to non-temporary addresses. Then, the word "at most" makes me confused. It seems conflict with the word "set". It makes more sense to me if it is changed to "at least", which is totally opposite. To be cautious, I would like get more opinions.

Best regards,

Sheng

---

From: Ted Lemon <[email-masked]>
Date: Mon, 2 Feb 2015 08:17:03 -0500

Isn't IA_TA supposed to return multiple addresses so that the client can phase in new IA_TAs over time?

---

From: Sheng Jiang <[email-masked]>
Date: Tue, 3 Feb 2015 02:15:04 +0000

>Isn't IA_TA supposed to return multiple addresses so that the client can phase

Hi, Ted,

I guess you may not catch the questions. There are actually two questions:

a) why does not IA_NA also be able to carries one "set" of temporary addresses? (there is no corresponding text for IA_NA).

b) why one "set" of temporary addresses means AT MOST one address from each prefix assigned to the link? What is the problem for multiple addresses from each prefix?

Best regards,

Sheng

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 3 Feb 2015 03:53:35 +0000

Sheng:

The idea of the "set" comes from the original concept that there could be multiple prefixes (think site local/unique local and global, or multiple because of a renumbering event). So, the idea is indeed that each IA_NA/IA_TA/IA_PD has its own "set" of addresses or delegated prefixes. It may just be from one prefix, but it could be from many.

I think the "at most" is wrong. I think "at least" would be better. (Though that assumes that the server can assign something on that prefix to the client - it could be that the client is allowed to use addresses or get delegated prefixes from all of the possible ones.)

For IA_TA, it may be even more appropriate to have multiples allowed even for a single prefix (i.e., server can say "here are 5 temporary addresses" (all on the same prefix). Perhaps the client picks one at random, or the server is given the client all of the ones currently active for the client (some may have short lifetimes, others longer).

IA_NA and IA_PD are similar, but it would be less likely that the server would give the client more than one per prefix. If the client wants multiples, it can always ask by specifying more IA_NA/IA_PD options (different IAID).

Thanks for asking.

- Bernie

-----Original Message-----
From: Dhcpv6bis [mailto:[email-masked]] On Behalf Of Sheng Jiang
Sent: Monday, February 02, 2015 9:15 PM
To: Ted Lemon
Cc: [email-masked]
Subject: Re: [Dhcpv6bis] IA-TA carries one "set" of temporary addresses

Hi, Ted,

Best regards,

Sheng
_______________________________________________
Dhcpv6bis mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcpv6bis

---

From: Sheng Jiang <[email-masked]>
Date: Tue, 3 Feb 2015 03:59:31 +0000

Hi, Bernie,

Thanks for your reply. It matches what I thought. I guess that is the confirmation I am looking for. So, if Ted also agreed, I will apply the corresponding changes: 1) add similar sentence to IA_NA, 2) change "at most" to be "at least".

This is the last sub-issue in Fred Temple's 28-point ticket. I can then close the ticket. I may not be able to take more ticket for February, due to the Chinese New Year holidays.

Best regards,

Sheng

>From: Bernie Volz (volz) [mailto:[email-masked]]
>Sent: Tuesday, February 03, 2015 11:54 AM
>To: Sheng Jiang; Ted Lemon
>Cc: [email-masked]
>Subject: RE: [Dhcpv6bis] IA-TA carries one "set" of temporary addresses
>
>Sheng:
>
>The idea of the "set" comes from the original concept that there could be
>multiple prefixes (think site local/unique local and global, or multiple because
>of a renumbering event). So, the idea is indeed that each IA_NA/IA_TA/IA_PD
>has its own "set" of addresses or delegated prefixes. It may just be from one
>prefix, but it could be from many.
>
>I think the "at most" is wrong. I think "at least" would be better. (Though that
>assumes that the server can assign something on that prefix to the client - it
>could be that the client is allowed to use addresses or get delegated prefixes
>from all of the possible ones.)
>
>For IA_TA, it may be even more appropriate to have multiples allowed even
>for a single prefix (i.e., server can say "here are 5 temporary addresses" (all on
>the same prefix). Perhaps the client picks one at random, or the server is given
>the client all of the ones currently active for the client (some may have short
>lifetimes, others longer).
>
>IA_NA and IA_PD are similar, but it would be less likely that the server would
>give the client more than one per prefix. If the client wants multiples, it can
>always ask by specifying more IA_NA/IA_PD options (different IAID).
>
>Thanks for asking.
>
>- Bernie
>
>a) why does not IA_NA also be able to carries one "set" of temporary
>addresses? (there is no corresponding text for IA_NA).
>
>b) why one "set" of temporary addresses means AT MOST one address from
>each prefix assigned to the link? What is the problem for multiple addresses
>from each prefix?
>
>Best regards,
>
>Sheng

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 3 Feb 2015 04:34:36 +0000

Happy Chinese New Year!

- Bernie

-----Original Message-----
From: Sheng Jiang [mailto:[email-masked]] 
Sent: Monday, February 02, 2015 11:00 PM
To: Bernie Volz (volz); Ted Lemon
Cc: [email-masked]
Subject: RE: [Dhcpv6bis] IA-TA carries one "set" of temporary addresses

Hi, Bernie,

Best regards,

Sheng

---

From: Ted Lemon <[email-masked]>
Date: Tue, 3 Feb 2015 05:43:20 -0500

> I think the "at most" is wrong. I think "at least" would be better. (Though that assumes that the server can assign something on that prefix to the client - it could be that the client is allowed t…

This would be a really major change to what the RFC currently says, and I don't see what the utility is. At most one address from each prefix means that if you have five prefixes, you may have up to five addresses, one for each prefix.   If the intention is to have multiple addresses per prefix, how would that work?   How is the client supposed to use these multiple addresses?   If it wants multiple addresses, why not send multiple IA_NAs?

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 3 Feb 2015 11:38:21 +0000

Ted - this was only for IA_TAs. Not IA_NAs.

I think in general 1 IA_TA/prefix is fine. We could just drop "at most" / "at least".

Our server only gives you one / prefix.

- Bernie

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 3 Feb 2015 11:51:06 +0000

Btw - since IA_TA lifetimes are short and generally not renewed (though can be), the following might be possible:

Client is given address1 for preferred 1h, valid 1h30m
Client sends renew at 30m (without specifing adresss in IA_TA) - this may be triggered by other assignments (IA_NA).
Server sends address1 with remaining lifetimes plus a second address with 1h, valid 1h30m

In that renew reply server could have excluded address1 as Reply processing rules say that existing leases not in Reply remain as they were.

Would the sending of address1 and address2 violate "at most"?

- Bernie (from iPad)

> On Feb 3, 2015, at 6:38 AM, Bernie Volz (volz) <[email-masked]> wrote:
>

---

From: Ted Lemon <[email-masked]>
Date: Tue, 3 Feb 2015 06:55:30 -0500

> Our server only gives you one / prefix.

I think for IA_TA, it's right to allow more than one per prefix, because they are throwaway addresses, but for IA_NA, it should be at most one.   So I'm really arguing against the idea of changing the text for IA_NA.   I think leaving out "at most" for IA_TA rather than changing it to "at least" is probably okay.

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 3 Feb 2015 12:29:26 +0000

Agreed - this should only be IA_TA (at least). I didn't think that change was for IA_NA (which should be at most).

- Bernie (from iPad)

> On Feb 3, 2015, at 6:55 AM, Ted Lemon <[email-masked]> wrote:
>

---

From: Sheng Jiang <[email-masked]>
Date: Wed, 4 Feb 2015 00:51:18 +0000

So, the conclusion for now is to apply this text to IA_NA with the original "at most", which means 0~1 IA_NA/prefix; and remove the "at most" in IA_TA, which mean 0~n IA_TA/prefix.

Confirmation?

Sheng

>Sent: Tuesday, February 03, 2015 8:29 PM
>To: Ted Lemon
>Cc: [email-masked]; Sheng Jiang
>> I think for IA_TA, it's right to allow more than one per prefix, because they
>are throwaway addresses, but for IA_NA, it should be at most one.   So I'm
>really arguing against the idea of changing the text for IA_NA.   I think
>leaving out "at most" for IA_TA rather than changing it to "at least" is
>probably okay.
>>

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 4 Feb 2015 01:54:42 +0000

Sounds good.

On 2/3/15, 7:51 PM, "Sheng Jiang" <[email-masked]> wrote:

>So, the conclusion for now is to apply this text to IA_NA with the
>original "at most", which means 0~1 IA_NA/prefix; and remove the "at
>most" in IA_TA, which mean 0~n IA_TA/prefix.
>
>Confirmation?
>
>Sheng
>
>>Agreed - this should only be IA_TA (at least). I didn't think that
>>change was for
>>IA_NA (which should be at most).
>>
>>- Bernie (from iPad)
>>
>>>> I think in general 1 IA_TA/prefix is fine. We could just drop "at
>>>>most" / "at
>>least".
>>>>

---

From: Ted Lemon <[email-masked]>
Date: Wed, 4 Feb 2015 05:53:46 -0700

> So, the conclusion for now is to apply this text to IA_NA with the original "at most", which means 0~1 IA_NA/prefix; and remove the "at most" in IA_TA, which mean 0~n IA_TA/prefix.

I think that's right.   Thanks, Sheng!